Subject: Re: how to allocate 9MB of memory in kernel ?

From: Marco Stornelli <[email-masked]>
Date: Fri, 18 Jul 2008 08:50:36 +0200

Misbah khan ha scritto:
> This i am not very sure with  :-
> Can we allocate 9MB using vmalloc and assure it to be low memory and not
> highmem ?

Why do you need only low memory? And why do you need to allocate memory? 
If I understood correctly you need only to "ioremap" a chunk of memory.

> can we ioremap 9 MB SDRAM to kernel virtual ?

Yep.

> can we use vmalloc and do mmap to that allocated memory ,if the pages are
> not continues then is it going to concern mapping to user space ?

The "contiguous" problem is related only to DMA operations.

> 
> ---Misbah <><
> 
> 
> 
> Arnd Bergmann wrote:
>> On Thursday 17 July 2008, Misbah khan wrote:
>>> I need to allocate 9 MB of memory in to the kernel space which i need to
>>> mmap for the application to access.
>>>
>>> I need to know what could be the best possible way of doing the same.
>>>
>> If you don't need the memory to be physically contiguous, you can use
>> vmalloc to get the memory, but then you need to use remap_vmalloc_range
>> for mapping the memory into a user address space.
>>
>> 	Arnd <><
>> _______________________________________________
>> Linuxppc-embedded mailing list
>> [email-masked]
>> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>>
>>
> 

-- 
Marco Stornelli
Embedded Software Engineer
CoRiTeL - Consorzio di Ricerca sulle Telecomunicazioni
http://www.coritel.it

[email-masked]
+39 06 72582838